net.sf.jasperreports.charts.util

## Class XYDatasetLabelGenerator

- java.lang.Object
- - org.jfree.chart.labels.AbstractXYItemLabelGenerator
  - - org.jfree.chart.labels.StandardXYItemLabelGenerator
    - - net.sf.jasperreports.charts.util.XYDatasetLabelGenerator

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, org.jfree.chart.labels.XYItemLabelGenerator, org.jfree.util.PublicCloneable

      public class XYDatasetLabelGenerator
      extends org.jfree.chart.labels.StandardXYItemLabelGenerator

  Version:
    $Id: XYDatasetLabelGenerator.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jfree.chart.labels.StandardXYItemLabelGenerator

      `DEFAULT_ITEM_LABEL_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XYDatasetLabelGenerator(java.util.Map<java.lang.Comparable<?>,java.util.Map<java.lang.Number,java.lang.String>> labelsMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `generateLabel(org.jfree.data.xy.XYDataset dataset, int series, int item)`

    - ### Methods inherited from class org.jfree.chart.labels.StandardXYItemLabelGenerator

      `clone, equals`

    - ### Methods inherited from class org.jfree.chart.labels.AbstractXYItemLabelGenerator

      `createItemArray, generateLabelString, getFormatString, getNullYString, getXDateFormat, getXFormat, getYDateFormat, getYFormat, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XYDatasetLabelGenerator

          public XYDatasetLabelGenerator(java.util.Map<java.lang.Comparable<?>,java.util.Map<java.lang.Number,java.lang.String>> labelsMap)

  - ### Method Detail

    - #### generateLabel

          public java.lang.String generateLabel(org.jfree.data.xy.XYDataset dataset,
                                       int series,
                                       int item)

      Specified by:
        `generateLabel` in interface `org.jfree.chart.labels.XYItemLabelGenerator`
      Overrides:
        `generateLabel` in class `org.jfree.chart.labels.StandardXYItemLabelGenerator`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com